
Robotics Service Bus - Tasks #481
Set Notification.method Field in Request/Reply Communication
08/05/2011 11:51 PM - J. Moringen

Status: Resolved Start date: 08/05/2011
Priority: Normal Due date:
Assignee: S. Wrede % Done: 100%
Category: Protocol Estimated time: 0.00 hour
Target version: 0.4
Description

    -  Implement in Java ✓
    -  Implement in C++ ✓
    -  Implement in Python ✓
    -  Implement in Common Lisp ✓
    -  Update [[Request/Reply|Specification]] ✓

Related issues:
Related to Robotics Service Bus - Enhancement # 482: Use a Filter to select R... Resolved 08/06/2011

Associated revisions
Revision c23f5637 - 08/06/2011 03:43 AM - J. Moringen
Added support for method field in Event, spread and Request/Reply
refs #481
    -  rsb/__init__.py: added method field to Event class; added property

  for type field in Informer class
    -  rsb/patterns/__init__.py: handle method field of request and reply

  events in RemoteServer and LocalServer classes
    -  rsb/rsbspread/__init__.py: serialize/deserialize method field of

  events to/from notifications

Revision 336c5026 - 08/06/2011 03:50 AM - J. Moringen
Added support for method field in Spread connector and Request/Reply
refs #481
    -  src/rsb/patterns/RemoteServer.cpp: handle method field in request

  and reply events
    -  src/rsb/patterns/Server.cpp: similar
    -  src/rsb/transport/spread/OutConnector.cpp: serialize method field to

  notification
    -  src/rsb/transport/spread/ReceiverTask.cpp: deserialize method field

  from notification

Revision f00b7df9 - 08/06/2011 04:47 AM - J. Moringen
Added support for methods in event, Spread transport, client/server
refs #481
    -  src/event.lisp (event::method): new slot; can store a method

  category for the event
  (event): updated documentation string
  (event=): added keyword parameter compare-methods?; update
  documentation string
  (print-object event t): print method if the event has one
  (make-event): extract method from list of keyword arguments
    -  src/package.lisp (package rsb): added exported symbol event-method
    -  src/patterns/remote-server.lisp (call t remove-method event): set

  method of event to REQUEST
    -  src/patterns/local-server.lisp (call t local-method event): create

  event with method set to REPLY
    -  src/transport/spread/conversion.lisp (one-notification->event): set

  event method if the notification has one
  (event->notifications): pass event method to `make-notification'
  (make-notification): store method in notification if there is one

History
#1 - 08/06/2011 12:47 AM - J. Moringen
- Description updated
- Status changed from New to In Progress

#2 - 08/06/2011 05:06 AM - J. Moringen
- Assignee changed from J. Moringen to S. Wrede
- % Done changed from 0 to 70

#3 - 08/06/2011 05:06 AM - J. Moringen
- Description updated

#4 - 08/08/2011 06:38 PM - S. Wrede
- Description updated
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100
